select
  comnpack.makeCD(4,substr(:jan,1,lengthb(:jan)-1)) as chkjan
from dual
/*
select comnpack.makeCD(4,substr('2000000000000',1,lengthb('2000000000000')-1)) as chkjan from dual;
select comnpack.makeCD(4,substr('10',1,lengthb('10')-1)) as chkjan from dual;
*/
